curl --request DELETE \
--url https://api.management.junction.com/v1/org/{org_id}/team_etl_pipelines/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>'
[
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"preferences": {
"preferred": "cloud_pubsub",
"enabled": [
"cloud_pubsub"
]
},
"push_historical_data": false,
"provider_raw_data": false,
"cloud_pubsub": {
"project": "<string>",
"topic": "<string>",
"message_ordering": true
},
"rabbitmq": {
"uri": "<string>",
"exchange": "<string>"
},
"svix": {
"regional": true
},
"azure_amqp": {
"connection_string": "<string>",
"default_event_hub": "<string>",
"event_hub_matchers": [
{
"event_type_prefix": "<string>",
"event_type_regex": "<string>",
"event_hub": "<string>",
"blob_storage": {
"connection_string": "<string>",
"container_name": "<string>"
}
}
],
"compression": "auto"
},
"event_type_prefixes": [
"<string>"
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Team ETL Pipeline
Delete Team ETL Pipelines
Delete org team ETL pipelines via the Junction API. Requires authentication with your team API key.
DELETE
/
v1
/
org
/
{org_id}
/
team_etl_pipelines
/
{env}
/
{region}
curl --request DELETE \
--url https://api.management.junction.com/v1/org/{org_id}/team_etl_pipelines/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>'
[
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"preferences": {
"preferred": "cloud_pubsub",
"enabled": [
"cloud_pubsub"
]
},
"push_historical_data": false,
"provider_raw_data": false,
"cloud_pubsub": {
"project": "<string>",
"topic": "<string>",
"message_ordering": true
},
"rabbitmq": {
"uri": "<string>",
"exchange": "<string>"
},
"svix": {
"regional": true
},
"azure_amqp": {
"connection_string": "<string>",
"default_event_hub": "<string>",
"event_hub_matchers": [
{
"event_type_prefix": "<string>",
"event_type_regex": "<string>",
"event_hub": "<string>",
"blob_storage": {
"connection_string": "<string>",
"container_name": "<string>"
}
}
],
"compression": "auto"
},
"event_type_prefixes": [
"<string>"
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.curl --request DELETE \
--url https://api.management.junction.com/v1/org/{org_id}/team_etl_pipelines/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>'
Authorizations
Path Parameters
Available options:
production, sandbox Available options:
us, eu Query Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
An allowlist of event type prefixes. Note that both an empty list and null are interpreted as allow-all.
Was this page helpful?